package iterables;
import iterators.MyTableOfThingsRandomIterator;

import java.util.Iterator;


/**
 * 
 * @author J Paul Gibson
 * @version 1
 *
 * Wraps an array of generic data in an {@link Iterable} class which returns a random iterator<br>
 * This is not necessary in Java, but is used to illustrate the use of an {@link Iterator} when teaching design patterns
 */
public class MyTableOfThingsRandomIteration <T> implements Iterable<T> {
	
	
public T[] data;

public MyTableOfThingsRandomIteration(T [] data) {
this.data = data;
}

public int length(){return data.length;}

public Iterator<T> iterator() {
return new MyTableOfThingsRandomIterator<T>(this);
}

}

