package tests;

import iterables.Urn;
import iterables.Vote;


/**
 * 
 * @author J Paul Gibson
 * @version 1
 * 
 * A simple test for the {@link Urn}<br><br>
 When initial Urn data structure is initialised as
<pre>
  [["gibson", "smith", "hughes"],
  ["jones", "bell"],
  ["raffy", "lallet", "muller", "bac"]]
  </pre>
 * it should iterate through each bulletin in random order and each preference in random order<br><br>
 * EXPECTED TYPICAL OUTPUT : <br>
 <pre>

Iterate over strings on bulletins in Urn
 raffy
 lallet
 muller
 bac
 hughes
 gibson
 smyth
 jones
 bells
 </pre>
 **/
public class Urn_Test {
	
	public static void main(String[] s) {
		
		String [] preferences1 = {"gibson", "smyth", "hughes"};
		Vote vote1 = new Vote(preferences1);

		String [] preferences2 = {"jones", "bell"};
		Vote vote2 = new Vote(preferences2);
		
		String [] preferences3 = {"raffy","lallet", "muller", "bac"};
		Vote vote3 = new Vote(preferences3);
		
		Vote [] votes = { vote1, vote2, vote3};
		
		Urn urn = new Urn (votes);

		System.out.println("\nIterate over strings on bulletins in Urn");
		for (String value : urn) {
			System.out.println(" "+value);
			}
		}

}
